Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAED5

    java.lang.Object
      org.netlib.lapack.SLAED5

    public class SLAED5

extends java.lang.Object

    SLAED5 is a simplified interface to the JLAPACK routine slaed5.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  This subroutine computes the I-th eigenvalue of a symmetric rank-one

     *  modification of a 2-by-2 diagonal matrix
     *
     *             diag( D )  +  RHO *  Z * transpose(Z) .
     *
     *  The diagonal elements in the array D are assumed to satisfy
     *
     *             D(i) < D(j)  for  i < j .
     *
     *  We also assume RHO > 0 and that the Euclidean norm of the vector
     *  Z is one.
     *
     *  Arguments
     *  =========
     *
     *  I      (input) INTEGER
     *         The index of the eigenvalue to be computed.  I = 1 or I = 2.
     *
     *  D      (input) REAL array, dimension (2)
     *         The original eigenvalues.  We assume D(1) < D(2).
     *
     *  Z      (input) REAL array, dimension (2)
     *         The components of the updating vector.
     *
     *  DELTA  (output) REAL array, dimension (2)
     *         The vector DELTA contains the information necessary
     *         to construct the eigenvectors.
     *
     *  RHO    (input) REAL
     *         The scalar in the symmetric updating formula.
     *
     *  DLAM   (output) REAL
     *         The computed lambda_I, the I-th updated eigenvalue.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Ren-Cang Li, Computer Science Division, University of California
     *     at Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLAED5()`

Method Summary
`static void` | `SLAED5(int i, float[] d, float[] z, float[] delta, float rho, floatW dlam)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAED5

    public SLAED5()

Method Detail

### SLAED5

    public static void SLAED5(int i,
                              float[] d,
                              float[] z,
                              float[] delta,
                              float rho,
                              floatW dlam)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD